Bug 1254470 - [RBD driver] fail to delete a snapshot after creating a volume from that snapshot
[RBD driver] fail to delete a snapshot after creating a volume from that snap...
Status: ON_DEV
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder (Show other bugs)
7.0 (Kilo)
x86_64 Linux
low Severity high
: Upstream M3
: 12.0 (Pike)
Assigned To: Jon Bernard
Tzach Shefi
: Reopened, Triaged
: 1254471 (view as bug list)
Depends On:
Blocks: 1135132
  Show dependency treegraph
 
Reported: 2015-08-18 04:22 EDT by Yogev Rabl
Modified: 2017-08-07 22:06 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-21 01:59:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1485897 None None None Never
OpenStack gerrit 281550 None None None 2016-02-17 17:21 EST

  None (edit)
Description Yogev Rabl 2015-08-18 04:22:15 EDT
Description of problem:
The deletion of a snapshot fails with the error 

2015-08-18 11:11:39.198 4418 ERROR cinder.volume.manager [req-e721e329-ba76-4088-bce6-dbfb0757fe05 b7bc6cb74f5d4935b8a994d4c4582de2 e577bce6013b4fde98e5e44bc82e7ca1 - - -] Cannot delete snapshot 0b33c534-7f52-4aa5-9fbb-725eb929b771: snapshot is busy

while exists a volume that was created from it. 

Version-Release number of selected component (if applicable):
python-cinder-2015.1.0-3.el7ost.noarch
ceph-common-0.80.8-7.el7cp.x86_64
openstack-cinder-2015.1.0-3.el7ost.noarch
python-cinderclient-1.2.1-1.el7ost.noarch


How reproducible:
100% 

Steps to Reproduce:
1. Create a volume 
2. Take a snapshot of the volume
3. Create a new volume from the snapshot
4. Delete the snapshot 
5. Check the snapshot list

Actual results:
The snapshot stays in a available state

Expected results:
The Cinder client will provide an output that explains why the action failed or set the snapshot with a deleted tag in the Ceph pool and delete the snapshot record in Cinder
Comment 3 Sergey Gotliv 2015-09-21 08:58:00 EDT
*** Bug 1254471 has been marked as a duplicate of this bug. ***
Comment 4 Jon Bernard 2016-02-17 17:23:06 EST
I believe the current patch in review most correctly addresses the problem.
Comment 5 Jon Bernard 2016-08-18 10:31:17 EDT
Just to clarify, patch is complete and awaiting reviews upstream.
Comment 6 Elise Gafford 2016-11-01 12:53:09 EDT
No recent progress on this issue (no review attention on upstream patch). Low priority. Moving to RHOS 11 for triage.

Note You need to log in before you can comment on or make changes to this bug.